# Generated from ajimi-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ajimi

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: server diff tool
License: MIT
URL: https://github.com/crowdworks/ajimi
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(guard-rspec) >= 4.0
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(terminal-notifier-guard)
BuildArch: noarch

%description
Ajimi is a tool to compare servers by their files to shows difference in their
configurations. It is useful to achieve some kind of a regression test against
a server by finding unexpected changes to its configuration file after running
Chef, Ansible, or your own provisioning tool.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ajimi
%{_bindir}/ajimi-init
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Ajimifile.sample
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ajimi.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.2.1-1
- Initial package
